Package Details: wine-staging-wow64 9.2-1

Git Clone URL: https://aur.archlinux.org/wine-staging-wow64.git (read-only, click to copy)
Package Base: wine-staging-wow64
Description: A compatibility layer for running Windows programs
Upstream URL: https://www.winehq.org
Keywords: staging wine wine-staging winehq wow64 x64
Licenses: LGPL
Conflicts: wine
Provides: wine, wine-staging, wine-wow64
Submitter: tiziodcaio
Maintainer: tiziodcaio (xiota)
Last Packager: tiziodcaio
Votes: 7
Popularity: 2.76
First Submitted: 2023-09-11 14:57 (UTC)
Last Updated: 2024-02-13 09:14 (UTC)

Dependencies (37)

Required by (353)

Sources (4)

Pinned Comments

xiota commented on 2024-01-18 02:24 (UTC)

Wayland support requires setting a registry variable. See Wine 9.0 Changelog.

wine reg.exe add HKCU\\Software\\Wine\\Drivers /v Graphics /d x11,wayland

xiota commented on 2024-01-13 01:38 (UTC) (edited on 2024-01-13 01:40 (UTC) by xiota)

Before flagging out of date, make sure staging patches have been updated.

Latest Comments

1 2 Next › Last »

vikbar54.9 commented on 2024-01-27 22:19 (UTC)

The one that marked it outdated should have linked to this: https://gitlab.winehq.org/wine/wine/-/releases/wine-9.1

xiota commented on 2024-01-18 02:24 (UTC)

Wayland support requires setting a registry variable. See Wine 9.0 Changelog.

wine reg.exe add HKCU\\Software\\Wine\\Drivers /v Graphics /d x11,wayland

xiota commented on 2024-01-13 01:38 (UTC) (edited on 2024-01-13 01:40 (UTC) by xiota)

Before flagging out of date, make sure staging patches have been updated.

xiota commented on 2024-01-06 11:46 (UTC)

@LarryDave I just fixed it.

@tiziodcaio updpkgsums breaks these packages.

LarryDave commented on 2024-01-06 11:42 (UTC)

Can't build after the update.

==> ERROR: Integrity checks (sha256) differ in size from the source array.

Mel commented on 2023-12-15 01:26 (UTC)

I'm getting a bunch of errors in Warframe with 9.0rc1: https://pastebin.com/WCiXhMGx

tiziodcaio commented on 2023-12-14 20:14 (UTC) (edited on 2023-12-14 20:15 (UTC) by tiziodcaio)

Done. Sorry for being late

xiota commented on 2023-12-13 22:24 (UTC) (edited on 2023-12-15 01:57 (UTC) by xiota)

@MarsSeed I'm not necessarily against adding to provides, but seems like poor packaging. They should probably all depend on wine, not wine-staging or wine-wow64.

MarsSeed commented on 2023-12-13 18:31 (UTC) (edited on 2023-12-13 18:47 (UTC) by MarsSeed)

Because this is a variant of wine-staging, so it should provide that.

Currently 11 AUR packages depend on 'wine-staging' - if any of those are installed, they won't allow this one to be installed together with them.

There is currently no AUR PKGBUILD that depends on 'wine-wow64', but I think it is the best practice to add it to provides, as this one is also a variant of the latter, and it offers the same pure-wow64 capability.

Edit: Correction - there are 2 AUR packages that depend on 'wine-wow64'.

I don't particularly think this choice is a good one - 'wine-wow64' should be an optdepend at best, in my own opinion (and 'wine' should be a mandatory depend).

But the two packages in question (chunghwa-post-webatm, tbb-combo-native-agent) are owned by AUR Package Maintainer @yan12125.

And anyhow, wine-staging-wow64 is feature-equivalent + more with 'wine-wow64', so it makes sense to declare that in provides the latter.